## usb-modeswitch 0.3

=== debian/changelog ===
usb-modeswitch (0.3) araneo; urgency=low

  * Only need libusb-dev for build depends

 -- Michael Frey <michael.frey@canonical.com>  Sun, 13 Sep 2009 12:44:53 -0400

usb-modeswitch (0.2) araneo; urgency=low

  * Fix build depends

 -- Michael Frey <michael.frey@canonical.com>  Sun, 13 Sep 2009 09:35:04 -0400

usb-modeswitch (0.1) araneo; urgency=low

  * Initial release 

 -- Michael Frey <michael.frey@canonical.com>  Fri, 11 Sep 2009 14:18:59 -0400
