=== debian/control ===
Source: usb-modeswitch
Section: unknown
Priority: extra
Maintainer: Michael Frey <michael.frey@canonical.com>
Build-Depends: debhelper (>= 7), libusb-dev
Standards-Version: 3.8.0
Homepage: <insert the upstream URL, if relevant>

Package: usb-modeswitch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: <insert up to 60 chars description>
 <insert long description, indented with spaces>
