## usb-modeswitch 1.1.0

=== debian/changelog ===
usb-modeswitch (1.1.0-2) unstable; urgency=low

  * Drop the udev rules file (shipped in usb-modeswitch-data). Thanks to
    Sven-Haegar Koch for the report! (Closes: #567438)

 -- Didier Raboud <didier@raboud.com>  Fri, 29 Jan 2010 09:24:41 +0100

usb-modeswitch (1.1.0-1) unstable; urgency=low

  The "All your base are belong to us" release. It was great to collaborate 
  with upstream on that release. Thanks Josh!

  * New 1.1.0 upstream version.
    - Debian manpage got included, drop docbook-to-man.
    - Merge the two wrappers and put them in /lib/udev/.
  * Add a lintian override for the polyglot in /lib/udev/
  * Update debian/watch to new upstream tarball naming.
  * Bump dependency on -data to 20100127-1.
  * Suggest comgt instead of gcom.
  * Patches:
    + 01_mf_install_all_path.patch
       Add
         - Ensures that the directories are created before accessing them
         - Disables the udev rules reload
    + 02_mp_correct_hyphens.patch
      Add to correct hyphen-used-as-minus-sign on the manpage.
    - 03_build_system_to_policy.patch
       Merged upstream.
    - 05_move_wrappers_to_usr.patch
       Merged upstream.

 -- Didier Raboud <didier@raboud.com>  Thu, 28 Jan 2010 15:17:38 +0100

usb-modeswitch (1.0.7-1) unstable; urgency=low

  * New 1.0.7 upstream version (Closes: #563527).
    - Update the manpage
    - Split source in binary and data packages.
  * Patches:
    - 01_correct_broken_huawei_conf.patch
        Removed.
    + 03_build_system_to_policy.patch
        Refreshed.
    - 04_convert_umconf_to_unicode.patch
        Removed.
    + 05_move_wrappers_to_usr.patch
        Refreshed.
    - 06_disables_rules.patch
        Removed.
  * Add a preinst to delete configuration files forgotten in previous releases
    - Also delete /etc/udev/rules.d/80-usb_modeswitch.rules.
    - Delete only the data files not included in the -data upload
  * Update README.Debian.

 -- Didier Raboud <didier@raboud.com>  Tue, 12 Jan 2010 15:58:14 +0100

usb-modeswitch (1.0.5-1) unstable; urgency=low

  * New 1.0.5 upstream version
    - Configurations are now stored in independent files under
      /etc/usb_modeswitch.d/
    - The devices detection is greatly improved by having a broader set of
      detection fields (Closes: #527122).
    - Two new binaries: usb_modeswitch_sh and usb_modeswitch_tcl.
  * Adaptation to new upstream:
    - Add tclsh to Depends.
    - Drop mkrules.py and thus python B-D (Closes: #535445).
    - Update manpage to 1.0.5 (add --version)
  * Patches:
    - 01_correct_broken_huawei_conf.patch : refresh. 
    - 02_umconf_is_no_exec.patch          : remove, merged upstream.
    - 03_build_system_to_policy.patch     : refresh.
    - 04_convert_umconf_to_unicode.patch  : Add to get everything in utf-8.
                                            Thanks to W. Martin Borgert.
    - 05_move_wrappers_to_usr.patch       : Add. Moves wrappers to specific
                                            /usr/share/usb_modeswitch
    - 06_disables_rules.patch             : Add to get the udev rules "opt-in"
                                            (See NEWS.Debian)
    - Add headers to make them all comply to DEP-3 Patch Tagging Guidelines.
  * Bump Standards-Version to 3.8.3
    - Add README.source.
  * Document the major changes in NEWS.Debian
  * Switch to source format 3.0 (quilt). Drop quilt Build-Dep and dh snippet.

 -- Didier Raboud <didier@raboud.com>  Tue, 03 Nov 2009 11:02:31 +0100

usb-modeswitch (1.0.2-1) unstable; urgency=low

  * New 1.0.2 Upstream Version
    - New devices:
      + EpiValley SEC-7089 (featured by Alegro and Starcomms / iZAP)
      + ST Mobile Connect HSUPA USB Modem
    - The command line options have changed:
      + On/off flags don't require arguments anymore
      + long option names changed to standard format (e.g. --HuaweiMode to
        --huawei-mode)
    - Code cleanup
    - Added device inquiry
    - Send and response endpoints now autoselected
  * Fix manpage accordingly.
  * Update mkrules.py accordingly with cleaner coding style, thanks to
    Kris Warkentin.
  * Add debian/NEWS with a clear warning about the command line changes.
  * Fix "Broken generated udev rules for Huawei devices." by adding patch
    01_correct_broken_huawei_conf.patch (Closes: #530788).
    - Thus adding quilt to Build-Depends and tweak debian/rules accordingly.
    - Thanks Stephen Depooter.
  * debian/rules: Redo from scratch using debhelper tiny style.
    - Thus bump Build-Depends on debhelper to > 7.0.50.
    - Use upstream's build system.
    - Add patch 02_umconf_is_no_exec.patch.
    - Add patch 03_build_system_to_policy.patch to accept DEB_BUILD_OPTIONS
      (noopt, nostrip).
  * Switch packaging to git under Alioth's collab-maint
    - Add Vcs-{Git,Browser} to debian/control.
  * Bump Standards to 3.8.2, no changes needed.

 -- Didier Raboud <didier@raboud.com>  Tue, 23 Jun 2009 17:41:06 +0200

usb-modeswitch (0.9.7-1) unstable; urgency=low

  * 0.9.7 new upstream release.
    "Updated SonyMode, MD 400 now stable; automatic default endpoint detection
     from Andrew Bird."
    - Sony Ericsson MD400 now working
    - Automatic bulk endpoint detection
  * debian/copyright
    - Point to GPL version 2, thanks to lintian --pedantic.

 -- Didier Raboud <didier@raboud.com>  Thu, 16 Apr 2009 11:34:47 +0200

usb-modeswitch (0.9.7~beta1-1) experimental; urgency=low

  * 0.9.7beta new upstream release.
    "Major code clean up, optional success control (both suggested by Daniel
     Cooper), new devices"
  * New build system (not used in Debian yet).
  * New option to enable success control (--success)
    - Manpage updated
  * New devices
    - Option iCON 210,401
    - Vodafone K3760
    - ZTE MF636 (aka "Telstra / BigPond 7.2 Mobile Card")
    - Sierra Wireless Compass 597
    - MobiData MBD-200HU
    - Hyundai Mobile MB-810
  * Bump Standards to 3.8.1. No changes needed.

 -- Didier Raboud <didier@raboud.com>  Mon, 30 Mar 2009 19:44:55 +0200


