=== debian/changelog ===
usb-modeswitch (1.1.4-2) unstable; urgency=low

  * Fix configuration switching race (LP: #673435)

 -- Didier Raboud <didier@raboud.com>  Thu, 11 Nov 2010 14:52:43 +0100

usb-modeswitch (1.1.4-1) unstable; urgency=low

  * Patches: 
    + 04_use_var_lib_not_etc.patch : Add to put runtime files in /var/lib.

  * Release to unstable, thanks to the Release Team approval.

 -- Didier Raboud <didier@raboud.com>  Mon, 30 Aug 2010 18:30:37 +0200

usb-modeswitch (1.1.4-1~exp0) experimental; urgency=high

  * New 1.1.4 upstream version; relevant changes:
    - The package should work at boot time now (cold and warm);
      (Closes: #591765, #591722)
    - wrapper fix for the symlink feature: handling of multiple interrupt
      ports was incomplete; (Closes: #587776)
    - wrapper does not longer use a temporary file for the symlink feature
      (security considerations, Marco d'Itri) (Closes: #591761)
    - no udev rules grep'ing (Closes: #591760)

  * Patches:
    + 01_no_bash_before_tcl.patch : add to avoid one more waiting.
    + 02_mp_correct_hyphens.patch: refresh.
    + 03_use_udev_specifics.patch: avoid code duplication by using udev
      specific hotplug functions.

  * Set urgency to high as new upstream fixes security bug.

  * Correct documentation glitches in debian/README.Debian
    (Closes: #590903)

 -- Didier Raboud <didier@raboud.com>  Tue, 24 Aug 2010 00:07:38 +0200

usb-modeswitch (1.1.3-1) unstable; urgency=low

  * New 1.1.3 upstream version; relevant changes:
    - Small additions in Makefile (install with -D)
      => Remove patch 01_mf_install_path.patch
    - Changes in option handling (NO MORE DEFAULT CONFIG FILE!) and help text
      => Remove that conffile on upgrade, to avoid misunderstanding.
      => Include the device_reference.txt as docs.
    - Wrapper now ignores package manager leftovers in config folder
      => Remove patch 03_filter_undesired_rules.patch
    - Replaced bash-specific syntax in wrapper
      => Remove patch 04_fix_bashism.patch

  * Patches:
    + 02_mp_correct_hyphens.patch: refresh.

 -- Didier Raboud <didier@raboud.com>  Wed, 23 Jun 2010 10:43:35 +0200

usb-modeswitch (1.1.2-3) unstable; urgency=low

  * Add 04_fix_bashisms.patch to fix bashism in usb_modeswitch.tcl
    (Closes: #581143)

 -- Didier Raboud <didier@raboud.com>  Tue, 18 May 2010 14:24:17 +0200

usb-modeswitch (1.1.2-2) unstable; urgency=low

  * Add 03_filter_undesired_rules.patch to filter out undesired files
   (Closes: #579981)

 -- Didier Raboud <didier@raboud.com>  Mon, 03 May 2010 11:37:08 +0200

usb-modeswitch (1.1.2-1) unstable; urgency=low

  * New 1.1.2 upstream version.
    - Added support for two additional bulk messages
    - Wrapper handles special ZTE case
    - Generalized driver loading
    - New parameter "DriverModule" and "DriverIDPath"
    - New wrapper facility to add symlink pointing to interrupt port
  * Update 01_mf_install_path.patch and 02_mp_correct_hyphens.patch
  * Don't use Debian-specific revisions in debian/control.

 -- Didier Raboud <didier@raboud.com>  Mon, 19 Apr 2010 13:49:19 +0200

usb-modeswitch (1.1.1-1) unstable; urgency=low

  * New 1.1.1 upstream version.
    - Add separate config file for wrapper (global settings for switching and
      logging)
    - Add config file option to disable driver loading
    - Handling of kernel attribute AVOID_RESET_QUIRK added
    - Bug fixed in SonyMode
    - Bug fixed in SuccessCheck logic
    - Minor flow alignments and fixes
    - Debian:
      + Update patches
      + Update preinst to not drop /etc/usb_modeswitch.conf anymore
      + Update usb-modeswitch.install to install the conffile

  * Now that I am a DM, add DMUA field to debian/control.
    Thanks go to Patrick Matthäi for the sponsoring!

 -- Didier Raboud <didier@raboud.com>  Thu, 18 Mar 2010 11:08:06 +0100
