=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Section: comm
 Priority: extra
 Maintainer: Didier Raboud <didier@raboud.com>
+DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 7.0.50), libusb-dev
 Standards-Version: 3.8.4
 Homepage: http://www.draisberghof.de/usb_modeswitch/
@@ -10,7 +11,7 @@
 
 Package: usb-modeswitch
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, tcl | tclsh, usb-modeswitch-data (>= 20100127-1)
+Depends: ${shlibs:Depends}, ${misc:Depends}, tcl | tclsh, usb-modeswitch-data (>= 20100127)
 Suggests: comgt, wvdial
 Description: mode switching tool for controlling "flip flop" USB devices
  Several new USB devices have their proprietary Windows drivers onboard,
