## usb-modeswitch 1.1.6

=== debian/changelog ===
usb-modeswitch (1.1.6-1~common0charlotte2) lucid; urgency=low

  * 07_add_settle_api.patch: add a new cmdline switch --settle which simply
    sleeps for 5 seconds, allowing the CDROM device to appear, after which
    we can finally modeswitch (LP: #717315)
  * debian/control: Update Vcs-Bzr link

 -- Alex Chiang <achiang@canonical.com>  Thu, 07 Apr 2011 20:32:36 -0600

usb-modeswitch (1.1.6-1~common0charlotte1) lucid; urgency=low

  * Backport from Natty

 -- Alex Chiang <achiang@canonical.com>  Fri, 11 Feb 2011 16:18:11 -0700

usb-modeswitch (1.1.6-1) experimental; urgency=low

  * New 1.1.6 upstream version.

  * Add a prerm maintainer script to remove leftover runtime files.
  * Update package relationships to allow the install of usb-modeswitch-
    data-packed.
  * Patches:
    + 06_umdp_archive_in_usr.patch: Add to search for the compressed archive
      in /usr/share/usb-modeswitch-data/
    x Refresh all others.
  * Bump Standards to 3.9.1 without changes needed.

 -- Didier Raboud <didier@raboud.com>  Tue, 04 Jan 2011 17:22:40 +0100

usb-modeswitch (1.1.5-1) experimental; urgency=low

  * New 1.1.5 upstream version.
  
  * Patches:
    - 01_no_bash_before_tcl.patch: remove, included upstream.
    x Refresh all others.

 -- Didier Raboud <didier@raboud.com>  Wed, 01 Dec 2010 15:59:47 +0100
