=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Didier Raboud <didier@raboud.com>
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 7.0.50), libusb-dev
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://www.draisberghof.de/usb_modeswitch/
-Vcs-Git: git://git.debian.org/collab-maint/usb-modeswitch.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/usb-modeswitch.git
+Vcs-Bzr: lp:~oem-solutions-group/charlotte/usb-modeswitch
 
 Package: usb-modeswitch
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, tcl | tclsh, usb-modeswitch-data (>= 20100127)
+Depends: ${shlibs:Depends}, ${misc:Depends}, tcl | tclsh, usb-modeswitch-data-packed | usb-modeswitch-data
+Breaks: usb-modeswitch-data (<< 20100127)
 Suggests: comgt, wvdial
 Description: mode switching tool for controlling "flip flop" USB devices
  Several new USB devices have their proprietary Windows drivers onboard,
