=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: usb-modeswitch
 Section: comm
 Priority: extra
-Maintainer: Didier Raboud <didier@raboud.com>
-DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7.0.50), libusb-dev
+Maintainer: Didier Raboud <odyx@debian.org>
+Build-Depends: debhelper (>= 8.1.0), libusb-dev
 Standards-Version: 3.9.1
 Homepage: http://www.draisberghof.de/usb_modeswitch/
-Vcs-Bzr: lp:~oem-solutions-group/charlotte/usb-modeswitch
+Vcs-Git: git://git.debian.org/collab-maint/usb-modeswitch.git
+Vcs-Browser: http://git.debian.org/?p=collab-maint/usb-modeswitch.git
 
 Package: usb-modeswitch
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, tcl | tclsh, usb-modeswitch-data-packed | usb-modeswitch-data
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, tcl | tclsh, usb-modeswitch-data (>= 20110227-1~)
 Breaks: usb-modeswitch-data (<< 20100127)
 Suggests: comgt, wvdial
 Description: mode switching tool for controlling "flip flop" USB devices
