## usb-modeswitch 1.1.9

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PROG        = usb_modeswitch
-VERS        = 1.1.7
+VERS        = 1.1.9
 CC          = gcc
 CFLAGS      += -Wall
 LIBS        = -l usb
