=== debian/changelog ===
usb-modeswitch (1.1.9-1ubuntu3) oneiric; urgency=low

  * debian/patches/dispatcher-c-rewrite.patch: fix crash in failing to match
    devices with config lists before SCSI attributes are checked.
    (LP: #824147)
  * debian/patches/03_use_udev_specifics.patch: avoid failing if
    usb_modeswitch gets called with --symlink in udev by removing the tclsh
    call; also redirect all output from these calls to /dev/null (we don't
    need it anyway).

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 22 Aug 2011 11:19:11 -0400

usb-modeswitch (1.1.9-1ubuntu2) oneiric; urgency=low

  * Drop the dependency on tcl, which was the whole point of the C rewriting
    exercise! :)

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 09 Aug 2011 13:13:06 -0700

usb-modeswitch (1.1.9-1ubuntu1) oneiric; urgency=low

  * debian/patches/dispatcher-c-rewrite.patch: rewrite the dispatcher
    binary in C to be able to drop Tcl from the CD.
    See https://blueprints.launchpad.net/ubuntu/+spec/desktop-o-cdspace.
  * debian/control: add libudev-dev and libpipeline-dev to Build-Depends,
    as new requirements for the C version of usb_modeswitch_dispatcher.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 09 Aug 2011 15:11:17 -0400

usb-modeswitch (1.1.9-1) unstable; urgency=low

  * New 1.1.9 upstream version:
    × Refresh 03_use_udev_specifics.patch.

 -- Didier Raboud <odyx@debian.org>  Sun, 07 Aug 2011 16:59:11 +0200

usb-modeswitch (1.1.8-1) unstable; urgency=low

  * New 1.1.8 upstream version:
    - Rewrite Debian's "override from /etc" code
      (Closes: #630081, thanks to Alex Hermann).
    - Fix boot-time switching regression
      (Closes: #629371, thanks to Christian Kastner).

  * Drop patches obsoleted by 1.1.8:
    - 01_extract_to_var_lib_not_tmp
    - 02_allow_override_from_etc
  * Drop device_reference.txt from docs as upstream dropped it.
  * Bump Standards-Version to 3.9.2 without changes needed.

 -- Didier Raboud <odyx@debian.org>  Mon, 20 Jun 2011 10:12:34 +0200
