=== debian/changelog ===
usb-modeswitch (1.2.2+repack0-1) unstable; urgency=low

  * New 1.2.2 upstream release.
    - Fixed bad bug preventing mode switch for devices using TargetClass
      (Closes: #656248);

  * Repack the upstream tarball:
    - Drop the code copy of jimtcl.

 -- Didier Raboud <odyx@debian.org>  Thu, 19 Jan 2012 11:27:49 +0100
