=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: usb-modeswitch
 Section: comm
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Didier Raboud <odyx@debian.org>
-Build-Depends: debhelper (>= 8.1.0), libusb-dev, libpipeline-dev, libudev-dev
+Maintainer: Didier Raboud <odyx@debian.org>
+Build-Depends: debhelper (>= 8.9.0~), libusb-dev, jimsh, libjim-dev
 Standards-Version: 3.9.2
 Homepage: http://www.draisberghof.de/usb_modeswitch/
 Vcs-Git: git://git.debian.org/collab-maint/usb-modeswitch.git
