=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- shared

# This allows to select what I want instead of deleting what I don't
override_dh_auto_install:
	DESTDIR=debian/tmp/ make install-shared
