## usb-modeswitch 2.0.1+repack0

=== debian/changelog ===
usb-modeswitch (2.0.1+repack0-2) unstable; urgency=low

  * Update the systemd patch to change the systemctl path to fit
    Debian's (Closes: #725394) - thanks to Ralf Jung

 -- Didier Raboud <odyx@debian.org>  Mon, 30 Sep 2013 10:57:27 +0200

usb-modeswitch (2.0.1+repack0-1) unstable; urgency=low

  * New 2.0.1 upstream release
    - Switched to libusb1.0
    - Major code and debug output cleanup
    - Man page corrections and additions
    - Experimental systemd and upstart integration

  * Repack the upstream tarball:
    - Drop the code copy of jimtcl.

  * Refresh patches for 2.0.1
  * Update Build-Depends to add libusb-1.0-0-dev and pkg-config
  * Incorporate support for upstart and systemd
    - patch the dispatcher to correctly check if upstart or systemd are running
    - install the upstart init file and the systemd service file

 -- Didier Raboud <odyx@debian.org>  Wed, 18 Sep 2013 19:53:11 +0200

usb-modeswitch (1.2.6+repack0-1) unstable; urgency=low

  * New 1.2.6 upstream release
    - Several changes to streamline compiling as part of larger
      projects, mostly in Makefile;
    - fix compiler warnings appearing in certain build environments;
    - new Quanta procedure for Quanta 1K3 LTE;
    - fix for error with cascaded hubs in dispatcher script.

  * Repack the upstream tarball:
    - Drop the code copy of jimtcl.

  * Replace 04_cope_with_repack patch by one to to use the
    package-provided jimsh and libjim.
  * Bump usb-modeswitch-data depends to 20130607.

 -- Didier Raboud <odyx@debian.org>  Sat, 08 Jun 2013 18:07:17 +0200

usb-modeswitch (1.2.5+repack0-2) unstable; urgency=low

  * Upload to unstable.

 -- Didier Raboud <odyx@debian.org>  Mon, 06 May 2013 17:36:17 +0200

usb-modeswitch (1.2.5+repack0-1) experimental; urgency=low

  * New 1.2.5 upstream release
    - Initial support for MBIM devices, use with data package >= 20121109;
    - checking for these is the automatic default, new parameter
      NoMBIMCheck prevents the check per device in case of problems; new
      global option to set "delay_use" of usb-storage (as low values may
      prevent mode-switching);
    - fix for handling multi-configuration devices (thanks to Bjørn Mork
      for advice).

  * Repack the upstream tarball:
    - Drop the code copy of jimtcl.

  * Bump usb-modeswitch-data depends to 20121109.
  * Bump Standards-Version to 3.9.4 and debhelper B-D to 9 without
    changes needed.

 -- Didier Raboud <odyx@debian.org>  Tue, 20 Nov 2012 10:45:07 +0100

usb-modeswitch (1.2.4+repack0-1) experimental; urgency=low

  * New 1.2.4 upstream release
    - Additional interface checks to prevent sending UFI commands to
      non-storage interfaces (prompted by more ambiguous device IDs
      popping up);
    - Change in SierraMode for handling newer devices which caused an
      error abort before;
    - Makefile fix for parallelized make runs.

  * Repack the upstream tarball:
    - Drop the code copy of jimtcl.

  * Drop patch to disable logging as was (temporarily) enabled in 1.2.3.
  * Refresh patches.

 -- Didier Raboud <odyx@debian.org>  Tue, 28 Aug 2012 11:13:00 +0200
