=== debian/control ===
--- 
+++ 
@@ -2,8 +2,11 @@
 Section: comm
 Priority: extra
 Maintainer: Didier Raboud <odyx@debian.org>
-Build-Depends: debhelper (>= 8.9.0~), libusb-dev, jimsh, libjim-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9),
+ libusb-1.0-0-dev,
+ pkg-config,
+ jimsh, libjim-dev
+Standards-Version: 3.9.4
 Homepage: http://www.draisberghof.de/usb_modeswitch/
 Vcs-Git: git://git.debian.org/collab-maint/usb-modeswitch.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/usb-modeswitch.git
@@ -11,7 +14,7 @@
 Package: usb-modeswitch
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}, usb-modeswitch-data (>= 20110227-1~)
+Depends: ${shlibs:Depends}, ${misc:Depends}, usb-modeswitch-data (>= 20130607)
 Breaks: usb-modeswitch-data (<< 20100127)
 Suggests: comgt, wvdial
 Description: mode switching tool for controlling "flip flop" USB devices
