## usb-modeswitch 2.1.1%2Brepack0

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: usb-modeswitch
 Section: comm
 Priority: extra
-Maintainer: Didier Raboud <odyx@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Didier Raboud <odyx@debian.org>
 Build-Depends: debhelper (>= 9),
  libusb-1.0-0-dev,
  pkg-config,
- jimsh, libjim-dev
-Standards-Version: 3.9.4
+ libpipeline-dev,
+ libudev-dev,
+Standards-Version: 3.9.5
 Homepage: http://www.draisberghof.de/usb_modeswitch/
 Vcs-Git: git://git.debian.org/collab-maint/usb-modeswitch.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/usb-modeswitch.git
@@ -14,7 +16,7 @@
 Package: usb-modeswitch
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}, usb-modeswitch-data (>= 20130607)
+Depends: ${shlibs:Depends}, ${misc:Depends}, usb-modeswitch-data (>= 20140327)
 Breaks: usb-modeswitch-data (<< 20100127)
 Suggests: comgt, wvdial
 Description: mode switching tool for controlling "flip flop" USB devices
