=== debian/changelog ===
usb-modeswitch (2.1.1+repack0-1ubuntu1) trusty; urgency=medium

  * Merge with Debian unstable; remaining changes: (LP: #1280546)
    - patch to rewrite dispatcher to C.
    - debian/patches/redirect_dispatcher_output.patch: redirect all dispatcher
      output when called from udev to /dev/null.
    - Replace libjim depends with libpipeline-dev, libudev-dev.
  * Fixed some bugs in dispatcher rewrite. (LP: #1155975)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 07 Apr 2014 11:39:41 -0400

usb-modeswitch (2.1.1+repack0-1) unstable; urgency=medium

  * New 2.1.1 upstream release
    - "Interface" parameter was not working as expected, fixed
      (LP: #1261923)

  * Repack the upstream tarball:
    - Drop the code copy of jimtcl.

  * Bump usb-modeswitch-data depends to 20140327
  * Append CPPFLAGS to CFLAGS

 -- Didier Raboud <odyx@debian.org>  Tue, 01 Apr 2014 13:28:36 +0200

usb-modeswitch (2.1.0+repack0-1) unstable; urgency=medium

  * New 2.1.0 upstream release
    - -I flag meaning reversed, default is to skip SCSI inquiry

  * Repack the upstream tarball:
    - Drop the code copy of jimtcl.

  * Bump usb-modeswitch-data depends to 20140129
  * Bump Standards-Version to 3.9.5 without changes needed
  * Add get-orig-source target to do the automatic repacking

 -- Didier Raboud <odyx@debian.org>  Mon, 10 Feb 2014 12:58:03 +0100

usb-modeswitch (1.2.3+repack0-1ubuntu3) quantal; urgency=low

  * debian/patches/dispatcher-c-rewrite.patch: correct the "search" for
    modprobe to properly figure out whether it's available from PATH.
    (LP: #990337)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 08 Oct 2012 19:39:48 -0400

usb-modeswitch (1.2.3+repack0-1ubuntu2) precise; urgency=low

  * debian/patches/dispatcher-c-rewrite.patch: fix check_success() checks for
    the presence of vendor and product IDs to allow modeswitch to correctly
    be reported as successful when a verification is required. (LP: #935230)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 07 Mar 2012 10:48:42 -0500

usb-modeswitch (1.2.3+repack0-1ubuntu1) precise; urgency=low

  * Merge with Debian; remaining changes:
    - debian/control: Drop the dependency on tcl and Build-Depends on
      jimsh/libjim (another tcl implementation).
    - debian/control: add libudev-dev and libpipeline-dev to Build-Depends.
    - debian/patches/dispatcher-c-rewrite.patch: rewrite the dispatcher in C,
      to be able to drop the Tcl dependencies.
  * debian/patches/dispatcher-c-rewrite.patch: adapt C rewrite patch to take
    in the changes from 1.2.1-1.2.3.
  * debian/patches/redirect_dispatcher_output.patch: redirect all dispatcher
    output when called from udev to /dev/null.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 09 Feb 2012 10:43:17 -0500

usb-modeswitch (1.2.0+repack0-1ubuntu1) precise; urgency=low

  * Merge with Debian testing; remaining changes:
    - debian/control: Drop the dependency on tcl and Build-Depends on
      jimsh/libjim (another tcl implementation).
    - debian/control: add libudev-dev and libpipeline-dev to Build-Depends.
    - debian/patches/dispatcher-c-rewrite.patch: rewrite the dispatcher in C,
      to be able to drop the Tcl dependencies.
  * debian/patches/dispatcher-c-rewrite.patch:
    - Adapt to follow the changes introduced in version 1.2.0.
    - Move bind_list, current_cfg and other state files to /run.
    - Fix handling parameters when the dispatcher is called manually instead
      of via udev. (LP: #829519)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 05 Dec 2011 15:00:29 -0500
