=== debian/rules ===
#!/usr/bin/make -f

export DEB_CFLAGS_MAINT_APPEND = $(shell dpkg-buildflags --get CPPFLAGS)

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- shared

# This allows to select what I want instead of deleting what I don't
override_dh_auto_install:
	DESTDIR=debian/tmp/ make install-shared

get-orig-source:
	set -e;\
	quilt pop -af || true ;\
	rm -Rf .pc ;\
	git import-orig --no-pristine-tar --no-merge --uscan ;\
	git checkout upstream-repack ;\
	utag=`git describe --exact-match heads/upstream | sed -e 's#^upstream/##'` ;\
	git merge upstream/$$utag -m "Merge upstream $$utag version" ;\
	urtag=$$utag+repack0 ;\
	git tag upstream/$$urtag -m "Upstream repacked $$utag version" ;\
	git archive --format=tar --prefix=usb-modeswitch-$$urtag/ upstream/$$urtag | xz -6e > ../usb-modeswitch_$$urtag.orig.tar.xz ;\
	pristine-tar commit ../usb-modeswitch_$$urtag.orig.tar.xz upstream/$$urtag ;\
	git checkout master ;\
	git merge upstream/$$urtag -m "Merge upstream-repacked $$urtag version"
