=== debian/watch ===
version=3

http://www.draisberghof.de/usb_modeswitch/ usb-modeswitch-([\d.]*)\.tar\.bz2
